aboutsummaryrefslogtreecommitdiffstats
path: root/fix-xmltest-log.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fix-xmltest-log.sh')
-rwxr-xr-xfix-xmltest-log.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/fix-xmltest-log.sh b/fix-xmltest-log.sh
new file mode 100755
index 000000000000..c143e93cf20a
--- /dev/null
+++ b/fix-xmltest-log.sh
@@ -0,0 +1,48 @@
+#! /usr/bin/env bash
+# __ __ _
+# ___\ \/ /_ __ __ _| |_
+# / _ \\ /| '_ \ / _` | __|
+# | __// \| |_) | (_| | |_
+# \___/_/\_\ .__/ \__,_|\__|
+# |_| XML parser
+#
+# Copyright (c) 2019 Expat development team
+# Licensed under the MIT license:
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# "Software"), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to permit
+# persons to whom the Software is furnished to do so, subject to the
+# following conditions:
+#
+# The above copyright notice and this permission notice shall be included
+# in all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
+# NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
+# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
+# USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+set -e
+
+filename="${1:-tests/xmltest.log}"
+
+dos2unix "${filename}"
+
+tempfile="$(mktemp)"
+sed \
+ -e 's/^wine: Call .* msvcrt\.dll\._wperror, aborting$/ibm49i02.dtd: No such file or directory/' \
+ \
+ -e '/^wine: /d' \
+ -e '/^Application tried to create a window, but no driver could be loaded.$/d' \
+ -e '/^Make sure that your X server is running and that $DISPLAY is set correctly.$/d' \
+ -e '/^err:systray:initialize_systray Could not create tray window$/d' \
+ -e '/^In ibm\/invalid\/P49\/: Unhandled exception: unimplemented .\+/d' \
+ \
+ "${filename}" > "${tempfile}"
+mv "${tempfile}" "${filename}"